Index: /branches/version-2_4-dev/data/Smarty/templates/default/mobile/mail_templates/order_mail.tpl
===================================================================
--- /branches/version-2_4-dev/data/Smarty/templates/default/mobile/mail_templates/order_mail.tpl	(revision 16988)
+++ /branches/version-2_4-dev/data/Smarty/templates/default/mobile/mail_templates/order_mail.tpl	(revision 18688)
@@ -53,2 +53,17 @@
 
 <!--{/section}-->
+---------------
+小　計 ￥ <!--{$arrOrder.subtotal|number_format|default:0}--> (うち消費税 ￥<!--{$arrOrder.tax|number_format|default:0}-->）
+値引き ￥ <!--{$arrOrder.use_point+$arrOrder.discount|number_format|default:0}-->
+送　料 ￥ <!--{$arrOrder.deliv_fee|number_format|default:0}-->
+手数料 ￥ <!--{$arrOrder.charge|number_format|default:0}-->
+---------------
+合　計 ￥ <!--{$arrOrder.payment_total|number_format|default:0}-->
+<!--{if $arrOrder.customer_id && $smarty.const.USE_POINT === true}-->
+---------------
+<!--{* ご注文前のポイント {$tpl_user_point} pt *}-->
+ご使用ポイント <!--{$arrOrder.use_point|default:0}--> pt
+今回加算される加算ポイント <!--{$arrOrder.add_point|default:0}--> pt
+保持ポイント <!--{$arrCustomer.point|default:0}--> pt
+<!--{/if}-->
+
Index: /branches/version-2_4-dev/data/Smarty/templates/default/mobile/shopping/confirm.tpl
===================================================================
--- /branches/version-2_4-dev/data/Smarty/templates/default/mobile/shopping/confirm.tpl	(revision 18472)
+++ /branches/version-2_4-dev/data/Smarty/templates/default/mobile/shopping/confirm.tpl	(revision 18688)
@@ -67,9 +67,15 @@
 
 【購入金額】<br>
-商品合計：<!--{$tpl_total_pretax|number_format}--><br>
-送料：<!--{$arrData.deliv_fee|number_format}--><br>
-<!--{if $arrData.charge > 0}-->手数料：<!--{$arrData.charge|number_format}--><br><!--{/if}-->
-合計：<!--{$arrData.payment_total|number_format}--><br>
-(内消費税：<!--{$arrData.tax|number_format}-->)<br>
+商品合計：<!--{$tpl_total_pretax|number_format}-->円<br>
+
+<!--{if $smarty.const.USE_POINT === true}-->
+ポイント値引き：<!--{assign var=discount value=`$arrData.use_point*$smarty.const.POINT_VALUE`}-->
+-<!--{$discount|number_format|default:0}-->円<br>
+<!--{/if}-->
+
+送料：<!--{$arrData.deliv_fee|number_format}-->円<br>
+<!--{if $arrData.charge > 0}-->手数料：<!--{$arrData.charge|number_format}-->円<br><!--{/if}-->
+合計：<!--{$arrData.payment_total|number_format}-->円<br>
+(内消費税：<!--{$arrData.tax|number_format}-->円)<br>
 
 <br>
@@ -81,4 +87,6 @@
 <input type="hidden" name="uniqid" value="<!--{$tpl_uniqid}-->">
 <input type="hidden" name="payment_id" value="<!--{$arrData.payment_id}-->">
+<input type="hidden" name="use_point" value="<!--{$arrData.use_point}-->">
+<input type="hidden" name="point_check" value="<!--{$arrData.point_check}-->">
 <input type="hidden" name="deliv_date" value="<!--{$arrData.deliv_date}-->">
 <input type="hidden" name="deliv_time_id" value="<!--{$arrData.deliv_time_id}-->">
Index: /branches/version-2_4-dev/data/Smarty/templates/default/mobile/shopping/payment.tpl
===================================================================
--- /branches/version-2_4-dev/data/Smarty/templates/default/mobile/shopping/payment.tpl	(revision 17847)
+++ /branches/version-2_4-dev/data/Smarty/templates/default/mobile/shopping/payment.tpl	(revision 18688)
@@ -31,8 +31,4 @@
 <input type="hidden" name="deliv_date" value="<!--{$arrForm.deliv_date.value}-->">
 <input type="hidden" name="deliv_time_id" value="<!--{$arrForm.deliv_time_id.value}-->">
-<!--<input type="hidden" name="message" value="">-->
-<!--{if $tpl_login == 1}-->
-<!--<input type="hidden" name="point_check" value="2">-->
-<!--{/if}-->
 
 <!--{assign var=key value="payment_id"}-->
@@ -45,4 +41,26 @@
 <br>
 <!--{/section}-->
+
+<p>その他お問い合わせ事項がございましたら、こちらにご入力ください。</p>
+<div>
+<!--★その他お問い合わせ事項★-->
+<!--{assign var=key value="message"}-->
+<!--{if $arrErr[$key] != ""}-->
+<font color="red"><!--{$arrErr[$key]}--></font>
+<!--{/if}-->
+<textarea name="<!--{$key}-->" style="<!--{$arrErr[$key]|sfGetErrorColor}-->" cols="20" rows="3"><!--{$arrForm[$key].value|escape}--></textarea>
+<br>
+
+<!-- ▼ポイント使用 ここから -->
+<!--{if $tpl_login == 1 && $smarty.const.USE_POINT == true}-->
+<p><!--{$objCustomer->getValue('name01')|escape}--> <!--{$objCustomer->getValue('name02')|escape}-->様の、現在の所持ポイントは「<!--{$tpl_user_point|default:0}-->ポイント」です。</p>
+<p>今回ご購入合計金額：<span class="price"><!--{$arrData.subtotal|number_format}-->円</span><span class="attention">（送料、手数料を含みません。）</p>
+<input type="radio" id="point_on" name="point_check" value="1" <!--{$arrForm.point_check.value|sfGetChecked:1}--> />ポイントを使用する<br>
+<!--{assign var=key value="use_point"}-->
+今回のお買い物で、<input type="text" name="<!--{$key}-->" value="<!--{$arrForm[$key].value|default:$tpl_user_point}-->" maxlength="<!--{$arrForm[$key].length}-->" size="6" />&nbsp;ポイントを使用する。<br>
+<span class="attention"><!--{$arrErr[$key]}--></span>
+<input type="radio" id="point_off" name="point_check" value="2" <!--{$arrForm.point_check.value|sfGetChecked:2}--> />ポイントを使用しない
+<!--{/if}-->
+<!-- ▲ポイント使用 ここまで -->
 
 <center><input type="submit" value="次へ"></center>
Index: /branches/version-2_4-dev/data/Smarty/templates/default/mobile/shopping/deliv_date.tpl
===================================================================
--- /branches/version-2_4-dev/data/Smarty/templates/default/mobile/shopping/deliv_date.tpl	(revision 18472)
+++ /branches/version-2_4-dev/data/Smarty/templates/default/mobile/shopping/deliv_date.tpl	(revision 18688)
@@ -30,8 +30,8 @@
 <input type="hidden" name="uniqid" value="<!--{$tpl_uniqid}-->">
 <input type="hidden" name="payment_id" value="<!--{$arrForm.payment_id.value}-->">
-<!--<input type="hidden" name="message" value="">-->
-<!--{if $tpl_login == 1}-->
-<!--<input type="hidden" name="point_check" value="2">-->
-<!--{/if}-->
+<input type="hidden" name="use_point" value="<!--{$arrForm.use_point.value}-->">
+<input type="hidden" name="point_check" value="<!--{$arrForm.point_check.value}-->">
+
+<font color="red"><!--{$arrErr.use_point}--></font>
 
 ■お届け日<br>