Index: /branches/version-2_4/data/Smarty/templates/default/admin/design/index.tpl
===================================================================
--- /branches/version-2_4/data/Smarty/templates/default/admin/design/index.tpl	(revision 18751)
+++ /branches/version-2_4/data/Smarty/templates/default/admin/design/index.tpl	(revision 18753)
@@ -122,5 +122,5 @@
 							<tr>
 								<td background="<!--{$TPL_DIR}-->img/contents/contents_title_left_bg.gif"><img src="<!--{$TPL_DIR}-->img/contents/contents_title_left.gif" width="22" height="12" alt=""></td>
-								<td bgcolor="#636469" width="638" class="fs14n"><span class="white"><!--コンテンツタイトル-->レイアウト編集</span></td>
+								<td bgcolor="#636469" width="638" class="fs14n"><span class="white"><!--コンテンツタイトル-->レイアウト設定</span></td>
 								<td background="<!--{$TPL_DIR}-->img/contents/contents_title_right_bg.gif"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="18" height="1" alt=""></td>
 							</tr>
@@ -136,5 +136,5 @@
 						<table width="678" border="0" cellspacing="1" cellpadding="8" summary=" ">
 							<tr class="fs12n">
-								<td bgcolor="#f2f1ec" align="center"><strong>レイアウト編集</strong></td>
+								<td bgcolor="#f2f1ec" align="center"><strong>レイアウト設定</strong></td>
 								<td bgcolor="#f2f1ec" align="center"><strong>未使用ブロック</strong></td>
 							</tr>
Index: /branches/version-2_4/data/Smarty/templates/default/admin/design/subnavi.tpl
===================================================================
--- /branches/version-2_4/data/Smarty/templates/default/admin/design/subnavi.tpl	(revision 18734)
+++ /branches/version-2_4/data/Smarty/templates/default/admin/design/subnavi.tpl	(revision 18753)
@@ -10,9 +10,9 @@
     <tr><td class=<!--{if $tpl_subno != 'layout'}-->"navi"<!--{else}-->"navi-on"<!--{/if}-->><a href="./index.php" onMouseOver="naviStyleChange('layout', '#a5a5a5')" <!--{if $tpl_subno != 'layout'}-->onMouseOut="naviStyleChange('layout', '#636469')"<!--{/if}--> id="layout"><img src="<!--{$TPL_DIR}-->img/contents/icon.jpg" width="15" height="9" alt="" border="0"><span class="navi_text">レイアウト設定</span></a></td></tr>
     <tr><td><img src="<!--{$TPL_DIR}-->img/contents/navi_line.gif" width="140" height="2" alt=""></td></tr>
-    <tr><td class=<!--{if $tpl_subno != 'main_edit'}-->"navi"<!--{else}-->"navi-on"<!--{/if}-->><a href="./main_edit.php" onMouseOver="naviStyleChange('main_edit', '#a5a5a5')" <!--{if $tpl_subno != 'main_edit'}-->onMouseOut="naviStyleChange('main_edit', '#636469')"<!--{/if}--> id="main_edit"><img src="<!--{$TPL_DIR}-->img/contents/icon.jpg" width="15" height="9" alt="" border="0"><span class="navi_text">ページ詳細設定</span></a></td></tr>
+    <tr><td class=<!--{if $tpl_subno != 'main_edit'}-->"navi"<!--{else}-->"navi-on"<!--{/if}-->><a href="./main_edit.php" onMouseOver="naviStyleChange('main_edit', '#a5a5a5')" <!--{if $tpl_subno != 'main_edit'}-->onMouseOut="naviStyleChange('main_edit', '#636469')"<!--{/if}--> id="main_edit"><img src="<!--{$TPL_DIR}-->img/contents/icon.jpg" width="15" height="9" alt="" border="0"><span class="navi_text">ページ詳細編集</span></a></td></tr>
     <tr><td><img src="<!--{$TPL_DIR}-->img/contents/navi_line.gif" width="140" height="2" alt=""></td></tr>
     <tr><td class=<!--{if $tpl_subno != 'bloc'}-->"navi"<!--{else}-->"navi-on"<!--{/if}-->><a href="./bloc.php"	onMouseOver="naviStyleChange('bloc', '#a5a5a5')" <!--{if $tpl_subno != 'bloc'}-->onMouseOut="naviStyleChange('bloc', '#636469')"<!--{/if}--> id="bloc"><img src="<!--{$TPL_DIR}-->img/contents/icon.jpg" width="15" height="9" alt="" border="0"><span class="navi_text">ブロック編集</span></a></td></tr>
     <tr><td><img src="<!--{$TPL_DIR}-->img/contents/navi_line.gif" width="140" height="2" alt=""></td></tr>
-    <tr><td class=<!--{if $tpl_subno != 'header'}-->"navi"<!--{else}-->"navi-on"<!--{/if}-->><a href="./header.php"	onMouseOver="naviStyleChange('header', '#a5a5a5')" <!--{if $tpl_subno != 'header'}-->onMouseOut="naviStyleChange('header', '#636469')"<!--{/if}--> id="header"><img src="<!--{$TPL_DIR}-->img/contents/icon.jpg" width="15" height="9" alt="" border="0"><span class="navi_text">ﾍｯﾀﾞｰ/ﾌｯﾀｰ設定</span></a></td></tr>
+    <tr><td class=<!--{if $tpl_subno != 'header'}-->"navi"<!--{else}-->"navi-on"<!--{/if}-->><a href="./header.php"	onMouseOver="naviStyleChange('header', '#a5a5a5')" <!--{if $tpl_subno != 'header'}-->onMouseOut="naviStyleChange('header', '#636469')"<!--{/if}--> id="header"><img src="<!--{$TPL_DIR}-->img/contents/icon.jpg" width="15" height="9" alt="" border="0"><span class="navi_text">ﾍｯﾀﾞｰ/ﾌｯﾀｰ編集</span></a></td></tr>
     <tr><td><img src="<!--{$TPL_DIR}-->img/contents/navi_line.gif" width="140" height="2" alt=""></td></tr>
     <tr><td class=<!--{if $tpl_subno != 'css'}-->"navi"<!--{else}-->"navi-on"<!--{/if}-->><a href="./css.php"	onMouseOver="naviStyleChange('css', '#a5a5a5')" <!--{if $tpl_subno != 'css'}-->onMouseOut="naviStyleChange('css', '#636469')"<!--{/if}--> id="css"><img src="<!--{$TPL_DIR}-->img/contents/icon.jpg" width="15" height="9" alt="" border="0"><span class="navi_text">CSS編集</span></a></td></tr>
Index: /branches/version-2_4/data/Smarty/templates/default/admin/design/main_edit.tpl
===================================================================
--- /branches/version-2_4/data/Smarty/templates/default/admin/design/main_edit.tpl	(revision 18734)
+++ /branches/version-2_4/data/Smarty/templates/default/admin/design/main_edit.tpl	(revision 18753)
@@ -81,5 +81,5 @@
 							<tr>
 								<td background="<!--{$TPL_DIR}-->img/contents/contents_title_left_bg.gif"><img src="<!--{$TPL_DIR}-->img/contents/contents_title_left.gif" width="22" height="12" alt=""></td>
-								<td bgcolor="#636469" width="638" class="fs14n"><span class="white"><!--コンテンツタイトル-->ページ詳細設定</span></td>
+								<td bgcolor="#636469" width="638" class="fs14n"><span class="white"><!--コンテンツタイトル-->ページ詳細編集</span></td>
 								<td background="<!--{$TPL_DIR}-->img/contents/contents_title_right_bg.gif"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="18" height="1" alt=""></td>
 							</tr>
Index: /branches/version-2_4/data/class/pages/admin/design/LC_Page_Admin_Design_MainEdit.php
===================================================================
--- /branches/version-2_4/data/class/pages/admin/design/LC_Page_Admin_Design_MainEdit.php	(revision 18734)
+++ /branches/version-2_4/data/class/pages/admin/design/LC_Page_Admin_Design_MainEdit.php	(revision 18753)
@@ -50,5 +50,5 @@
         $this->tpl_subno = "main_edit";
         $this->tpl_mainno = "design";
-        $this->tpl_subtitle = 'ページ詳細設定';
+        $this->tpl_subtitle = 'ページ詳細編集';
     }
 
Index: /branches/version-2_4/data/class/pages/admin/design/LC_Page_Admin_Design.php
===================================================================
--- /branches/version-2_4/data/class/pages/admin/design/LC_Page_Admin_Design.php	(revision 18734)
+++ /branches/version-2_4/data/class/pages/admin/design/LC_Page_Admin_Design.php	(revision 18753)
@@ -48,5 +48,5 @@
         $this->tpl_subno = "layout";
         $this->tpl_mainno = "design";
-        $this->tpl_subtitle = 'レイアウト編集';
+        $this->tpl_subtitle = 'レイアウト設定';
     }
 