Index: /branches/version-2_5-dev/data/class/SC_Customer.php
===================================================================
--- /branches/version-2_5-dev/data/class/SC_Customer.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/SC_Customer.php	(revision 18770)
@@ -27,41 +27,7 @@
 class SC_Customer {
 
-    var $conn;
-    var $email;
     var $customer_data;		// 会員情報
 
-    function SC_Customer( $conn = '', $email = '', $pass = '' ) {
-        // セッション開始
-        /* startSessionから移動 2005/11/04 中川 */
-        SC_Utils_Ex::sfDomainSessionStart();
-
-        // DB接続オブジェクト生成
-        $DB_class_name = "SC_DbConn";
-        if ( is_object($conn)){
-            if ( is_a($conn, $DB_class_name)){
-                // $connが$DB_class_nameのインスタンスである
-                $this->conn = $conn;
-            }
-        } else {
-            if (class_exists($DB_class_name)){
-                //$DB_class_nameのインスタンスを作成する
-                $this->conn = new SC_DbConn();
-            }
-        }
-
-        if ( is_object($this->conn) ) {
-            // 正常にDBに接続できる
-            if ( $email ){
-                // emailから顧客情報を取得する
-                // $this->setCustomerDataFromEmail( $email );
-            }
-        } else {
-            echo "DB接続オブジェクトの生成に失敗しています";
-            exit;
-        }
-
-        if ( strlen($email) > 0 && strlen($pass) > 0 ){
-            $this->getCustomerDataFromEmailPass( $email, $pass );
-        }
+    function SC_Customer() {
     }
 
@@ -76,5 +42,6 @@
         // 本登録された会員のみ
         $sql = "SELECT * FROM dtb_customer WHERE (email = ?" . $sql_mobile . ") AND del_flg = 0 AND status = 2";
-        $result = $this->conn->getAll($sql, $arrValues);
+        $objQuery = new SC_Query();
+        $result = $objQuery->getAll($sql, $arrValues);
         if (empty($result)) {
             return false;
@@ -110,5 +77,6 @@
         // 携帯端末IDが一致し、本登録された会員を検索する。
         $sql = 'SELECT count(*) FROM dtb_customer WHERE mobile_phone_id = ? AND del_flg = 0 AND status = 2';
-        $result = $this->conn->getOne($sql, array($_SESSION['mobile']['phone_id']));
+        $objQuery = new SC_Query();
+        $result = $objQuery->count("dtb_customer", "mobile_phone_id = ? AND del_flg = 0 AND status = 2", array($_SESSION['mobile']['phone_id']));
         return $result > 0;
     }
@@ -134,5 +102,6 @@
         // 携帯端末IDが一致し、本登録された会員を検索する。
         $sql = 'SELECT * FROM dtb_customer WHERE mobile_phone_id = ? AND del_flg = 0 AND status = 2';
-        @list($data) = $this->conn->getAll($sql, array($_SESSION['mobile']['phone_id']));
+        $objQuery = new SC_Query();
+        @list($data) = $objQuery->getAll($sql, array($_SESSION['mobile']['phone_id']));
 
         // パスワードが合っている場合は、顧客情報をcustomer_dataに格納してtrueを返す。
@@ -171,5 +140,6 @@
         // 本登録された会員のみ
         $sql = "SELECT * FROM dtb_customer WHERE (email = ? OR email_mobile = ?) AND del_flg = 0 AND status = 2";
-        $result = $this->conn->getAll($sql, array($email, $email));
+        $objQuery = new SC_Query();
+        $result = $objQuery->getAll($sql, array($email, $email));
         $data = isset($result[0]) ? $result[0] : "";
         $this->customer_data = $data;
@@ -181,5 +151,6 @@
         $sql = "SELECT * FROM dtb_customer WHERE customer_id = ? AND del_flg = 0";
         $customer_id = $this->getValue('customer_id');
-        $arrRet = $this->conn->getAll($sql, array($customer_id));
+        $objQuery = new SC_Query();
+        $arrRet = $objQuery->getAll($sql, array($customer_id));
         $this->customer_data = isset($arrRet[0]) ? $arrRet[0] : "";
         $_SESSION['customer'] = $this->customer_data;
Index: /branches/version-2_5-dev/data/class/helper/SC_Helper_Mobile.php
===================================================================
--- /branches/version-2_5-dev/data/class/helper/SC_Helper_Mobile.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/helper/SC_Helper_Mobile.php	(revision 18770)
@@ -24,5 +24,4 @@
 // {{{ requires
 require_once(CLASS_PATH . '../module/Net/URL.php');
-require_once(CLASS_PATH . "SC_DbConn.php");
 require_once(CLASS_PATH . 'SC_Query.php');
 
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Favorite.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Favorite.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Favorite.php	(revision 18770)
@@ -259,14 +259,9 @@
     function lfDeleteFavoriteProduct($customer_id, $product_id) {
         $objQuery = new SC_Query();
-        $objConn = new SC_DbConn();
-        $count = $objConn->getOne("SELECT COUNT(*) FROM dtb_customer_favorite_products WHERE customer_id = ? AND product_id = ?", array($customer_id, $product_id));
+        $count = $objQuery->count("dtb_customer_favorite_products", "customer_id = ? AND product_id = ?", array($customer_id, $product_id));
 
         if ($count > 0) {
-            $where = "customer_id = ? AND product_id = ?";
-            $sqlval['customer_id'] = $customer_id;
-            $sqlval['product_id'] = $product_id;
-
             $objQuery->begin();
-            $objQuery->delete('dtb_customer_favorite_products', $where, $sqlval);
+            $objQuery->delete('dtb_customer_favorite_products', "customer_id = ? AND product_id = ?", array($customer_id, $product_id));
             $objQuery->commit();
         }
Index: /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Change.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Change.php	(revision 18743)
+++ /branches/version-2_5-dev/data/class/pages/mypage/LC_Page_Mypage_Change.php	(revision 18770)
@@ -229,5 +229,4 @@
         $objDb = new SC_Helper_DB_Ex();
         $CONF = $objDb->sf_getBasisData();					// 店舗基本情報
-        $objConn = new SC_DbConn();
         $objView = new SC_MobileView();
         
Index: /branches/version-2_5-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_CsvSql.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_CsvSql.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents_CsvSql.php	(revision 18770)
@@ -332,8 +332,8 @@
     function lfCheckSQL($data){
         $err = "";
-        $objDbConn = new SC_DbConn();
+        $objQuery = new SC_Query();
         $sql = "SELECT " . $data['csv_sql'] . " ";
-        $ret = $objDbConn->conn->query($sql);
-        if ($objDbConn->conn->isError($ret)){
+        $ret = $objQuery->query($sql);
+        if (PEAR::isError($ret)){
             $err = $ret;
         }
Index: /branches/version-2_5-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/admin/contents/LC_Page_Admin_Contents.php	(revision 18770)
@@ -62,5 +62,5 @@
 
         //---- ページ初期設定
-        $conn = new SC_DbConn();
+        $objQuery = new SC_Query();
         $objView = new SC_AdminView();
         $objDate = new SC_Date(ADMIN_NEWS_STARTYEAR);
@@ -93,9 +93,9 @@
                 if (strlen($_POST["news_id"]) > 0 && is_numeric($_POST["news_id"])) {
 
-                    $this->lfNewsUpdate($conn);
+                    $this->lfNewsUpdate($objQuery);
 
                     //--　新規登録
                 } else {
-                    $this->lfNewsInsert($conn);
+                    $this->lfNewsInsert($objQuery);
                 }
 
@@ -107,5 +107,5 @@
         if ($_POST["mode"] == "search" && is_numeric($_POST["news_id"])) {
             $sql = "SELECT *, cast(news_date as date) as cast_news_date FROM dtb_news WHERE news_id = ? ";
-            $result = $conn->getAll($sql, array($_POST["news_id"]));
+            $result = $objQuery->getAll($sql, array($_POST["news_id"]));
             $this->arrForm = $result[0];
 
@@ -122,14 +122,14 @@
 
             // rankを取得
-            $pre_rank = $conn->getOne(" SELECT rank FROM dtb_news WHERE del_flg = 0 AND news_id = ? ", array( $_POST['news_id']  ));
+            $pre_rank = $objQuery->getOne(" SELECT rank FROM dtb_news WHERE del_flg = 0 AND news_id = ? ", array( $_POST['news_id']  ));
 
             //-- 削除する新着情報以降のrankを1つ繰り上げておく
-            $conn->query("BEGIN");
+            $objQuery->begin();
             $sql = "UPDATE dtb_news SET rank = rank - 1, update_date = NOW() WHERE del_flg = 0 AND rank > ?";
-            $conn->query( $sql, array( $pre_rank  ) );
+            $objQuery->query( $sql, array( $pre_rank  ) );
 
             $sql = "UPDATE dtb_news SET rank = 0, del_flg = 1, update_date = NOW() WHERE news_id = ?";
-            $conn->query( $sql, array( $_POST['news_id'] ) );
-            $conn->query("COMMIT");
+            $objQuery->query( $sql, array( $_POST['news_id'] ) );
+            $objQuery->commit();
 
             $this->reload();             //自分にリダイレクト（再読込による誤動作防止）
@@ -160,8 +160,8 @@
         //---- 全データ取得
         $sql = "SELECT *, cast(news_date as date) as cast_news_date FROM dtb_news WHERE del_flg = '0' ORDER BY rank DESC";
-        $this->list_data = $conn->getAll($sql);
+        $this->list_data = $objQuery->getAll($sql);
         $this->line_max = count($this->list_data);
         $sql = "SELECT MAX(rank) FROM dtb_news WHERE del_flg = '0'";        // rankの最大値を取得
-        $this->max_rank = $conn->getOne($sql);
+        $this->max_rank = $objQuery->getOne($sql);
 
         //----　ページ表示
@@ -208,9 +208,9 @@
 
     //----　指定順位へ移動
-    function sf_setRankPosition(&$conn, $tableName, $keyIdColumn, $keyId, $position) {
+    function sf_setRankPosition(&$objQuery, $tableName, $keyIdColumn, $keyId, $position) {
 
         // 自身のランクを取得する
-        $conn->query("BEGIN");
-        $rank = $conn->getOne("SELECT rank FROM $tableName WHERE $keyIdColumn = ?", array($keyId));
+        $objQuery->begin();
+        $rank = $objQuery->getOne("SELECT rank FROM $tableName WHERE $keyIdColumn = ?", array($keyId));
 
         if( $position > $rank ) $term = "- 1";  //入れ替え先の順位が入れ換え元の順位より大きい場合
@@ -219,15 +219,15 @@
         //--　指定した順位の商品から移動させる商品までのrankを１つずらす
         $sql = "UPDATE $tableName SET rank = rank $term, update_date = NOW() WHERE rank BETWEEN ? AND ? AND del_flg = 0";
-        if( $position > $rank ) $conn->query( $sql, array( $rank + 1, $position ) );
-        if( $position < $rank ) $conn->query( $sql, array( $position, $rank - 1 ) );
+        if( $position > $rank ) $objQuery->query( $sql, array( $rank + 1, $position ) );
+        if( $position < $rank ) $objQuery->query( $sql, array( $position, $rank - 1 ) );
 
         //-- 指定した順位へrankを書き換える。
         $sql  = "UPDATE $tableName SET rank = ?, update_date = NOW() WHERE $keyIdColumn = ? AND del_flg = 0 ";
-        $conn->query( $sql, array( $position, $keyId ) );
-        $conn->query("COMMIT");
+        $objQuery->query( $sql, array( $position, $keyId ) );
+        $objQuery->commit();
     }
 
     //---- 入力エラーチェック（順位移動用）
-    function sf_errorCheckPosition(&$conn, $tableName, $position, $keyIdColumn, $keyId) {
+    function sf_errorCheckPosition(&$objQuery, $tableName, $position, $keyIdColumn, $keyId) {
 
         $objErr = new SC_CheckError();
@@ -235,5 +235,5 @@
 
         // 自身のランクを取得する。
-        $rank = $conn->getOne("SELECT rank FROM $tableName WHERE $keyIdColumn = ?", array($keyId));
+        $rank = $objQuery->getOne("SELECT rank FROM $tableName WHERE $keyIdColumn = ?", array($keyId));
         if ($rank == $position ) $objErr->arrErr["moveposition"] .= "※ 指定した移動順位は現在の順位です。";
 
@@ -241,5 +241,5 @@
         if( ! $objErr->arrErr["position"] ) {
             $sql = "SELECT MAX( rank ) FROM " .$tableName. " WHERE del_flg = 0";
-            $result = $conn->getOne($sql);
+            $result = $objQuery->getOne($sql);
             if( $position > $result ) $objErr->arrErr["moveposition"] .= "※ 入力された順位は、登録数の最大値を超えています。";
         }
@@ -265,5 +265,5 @@
 
     //INSERT文
-    function lfNewsInsert(&$conn){
+    function lfNewsInsert(&$objQuery){
 
         if ($_POST["link_method"] == "") {
@@ -272,5 +272,5 @@
 
         //rankの最大+1を取得する
-        $rank_max = $conn->getOne("SELECT MAX(rank) + 1 FROM dtb_news WHERE del_flg = '0'");
+        $rank_max = $objQuery->getOne("SELECT MAX(rank) + 1 FROM dtb_news WHERE del_flg = '0'");
 
         $sql = "INSERT INTO dtb_news (news_date, news_title, creator_id, news_url, link_method, news_comment, rank, create_date, update_date)
@@ -278,12 +278,12 @@
         $arrRegist = array($this->registDate, $_POST["news_title"], $_SESSION['member_id'],  $_POST["news_url"], $_POST["link_method"], $_POST["news_comment"], $rank_max);
 
-        $conn->query($sql, $arrRegist);
+        $objQuery->query($sql, $arrRegist);
 
         // 最初の1件目の登録はrankにNULLが入るので対策
         $sql = "UPDATE dtb_news SET rank = 1 WHERE del_flg = 0 AND rank IS NULL";
-        $conn->query($sql);
-    }
-
-    function lfNewsUpdate(&$conn){
+        $objQuery->query($sql);
+    }
+
+    function lfNewsUpdate(&$objQuery){
 
         if ($_POST["link_method"] == "") {
@@ -294,5 +294,5 @@
         $arrRegist = array($this->registDate, $_POST['news_title'], $_SESSION['member_id'], $_POST['news_url'], $_POST["link_method"], $_POST['news_comment'], $_POST['news_id']);
 
-        $conn->query($sql, $arrRegist);
+        $objQuery->query($sql, $arrRegist);
     }
 }
Index: /branches/version-2_5-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail_Sendmail.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail_Sendmail.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail_Sendmail.php	(revision 18770)
@@ -62,7 +62,8 @@
      */
     function process() {
-        $conn = new SC_DbConn();
         $objQuery = new SC_Query();
-        $objSite = new SC_SiteInfo($conn);
+
+        $objDb = new SC_Helper_DB_Ex();
+        $objSite = $objDb->sf_getBasisData();
 
         if (MELMAGA_SEND != true) {
@@ -154,15 +155,15 @@
                     // 完了を 1 増やす
                     $sql = "UPDATE dtb_send_history SET complete_count = complete_count + 1 WHERE send_id = ?";
-                    $conn->query($sql, array($arrMail["send_id"]));
+                    $objQuery->query($sql, array($arrMail["send_id"]));
                 }
 
                 // 送信結果フラグ
                 $sql ="UPDATE dtb_send_customer SET send_flag = ? WHERE send_id = ? AND customer_id = ?";
-                $conn->query($sql, array($sendFlag, $arrMail["send_id"], $arrDestination["customer_id"]));
+                $objQuery->query($sql, array($sendFlag, $arrMail["send_id"], $arrDestination["customer_id"]));
             }
 
             // メール全件送信完了後の処理
             $completeSql = "UPDATE dtb_send_history SET end_date = now() WHERE send_id = ?";
-            $conn->query($completeSql, array($arrMail["send_id"]));
+            $objQuery->query($completeSql, array($arrMail["send_id"]));
 
             // 送信完了　報告メール
Index: /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System_Rank.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System_Rank.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/admin/system/LC_Page_Admin_System_Rank.php	(revision 18770)
@@ -51,5 +51,5 @@
      */
     function process() {
-        $conn = new SC_DbConn();
+        $objQuery = new SC_Query();
 
         // ログインチェック
@@ -60,5 +60,5 @@
             // 正当な数値であった場合
             if(SC_Utils::sfIsInt($_GET['id'])){
-                $this->lfRunkUp($conn, $_GET['id']);
+                $this->lfRunkUp($objQuery, $_GET['id']);
             // エラー処理
             } else {
@@ -67,5 +67,5 @@
         } else if($_GET['move'] == 'down') {
             if(SC_Utils::sfIsInt($_GET['id'])){
-                $this->lfRunkDown($conn, $_GET['id']);
+                $this->lfRunkDown($objQuery, $_GET['id']);
             // エラー処理
             } else {
@@ -88,40 +88,40 @@
 
     // ランキングを上げる。
-    function lfRunkUp($conn, $id) {
+    function lfRunkUp($objQuery, $id) {
         // 自身のランクを取得する。
-        $rank = $conn->getOne("SELECT rank FROM dtb_member WHERE member_id = ".$id);
+        $rank = $objQuery->getOne("SELECT rank FROM dtb_member WHERE member_id = ".$id);
         // ランクの最大値を取得する。
-        $maxno = $conn->getOne("SELECT max(rank) FROM dtb_member");
+        $maxno = $objQuery->getOne("SELECT max(rank) FROM dtb_member");
         // ランクが最大値よりも小さい場合に実行する。
         if($rank < $maxno) {
             // ランクがひとつ上のIDを取得する。
             $sqlse = "SELECT member_id FROM dtb_member WHERE rank = ?";
-            $up_id = $conn->getOne($sqlse, $rank + 1);
+            $up_id = $objQuery->getOne($sqlse, $rank + 1);
             // ランク入れ替えの実行
-            $conn->query("BEGIN");
+            $objQuery->begin();
             $sqlup = "UPDATE dtb_member SET rank = ? WHERE member_id = ?";
-            $conn->query($sqlup, array($rank + 1, $id));
-            $conn->query($sqlup, array($rank, $up_id));
-            $conn->query("COMMIT");
+            $objQuery->query($sqlup, array($rank + 1, $id));
+            $objQuery->query($sqlup, array($rank, $up_id));
+            $objQuery->commit();
         }
     }
 
     // ランキングを下げる。
-    function lfRunkDown($conn, $id) {
+    function lfRunkDown($objQuery, $id) {
         // 自身のランクを取得する。
-        $rank = $conn->getOne("SELECT rank FROM dtb_member WHERE member_id = ".$id);
+        $rank = $objQuery->getOne("SELECT rank FROM dtb_member WHERE member_id = ".$id);
         // ランクの最小値を取得する。
-        $minno = $conn->getOne("SELECT min(rank) FROM dtb_member");
+        $minno = $objQuery->getOne("SELECT min(rank) FROM dtb_member");
         // ランクが最大値よりも大きい場合に実行する。
         if($rank > $minno) {
             // ランクがひとつ下のIDを取得する。
             $sqlse = "SELECT member_id FROM dtb_member WHERE rank = ?";
-            $down_id = $conn->getOne($sqlse, $rank - 1);
+            $down_id = $objQuery->getOne($sqlse, $rank - 1);
             // ランク入れ替えの実行
-            $conn->query("BEGIN");
+            $objQuery->begin();
             $sqlup = "UPDATE dtb_member SET rank = ? WHERE member_id = ?";
-            $conn->query($sqlup, array($rank - 1, $id));
-            $conn->query($sqlup, array($rank, $down_id));
-            $conn->query("COMMIT");
+            $objQuery->query($sqlup, array($rank - 1, $id));
+            $objQuery->query($sqlup, array($rank, $down_id));
+            $objQuery->query("COMMIT");
         }
     }
Index: /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_MainEdit.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_MainEdit.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_MainEdit.php	(revision 18770)
@@ -194,12 +194,12 @@
         
         // blocposition を削除
-        $objDBConn = new SC_DbConn;		// DB操作オブジェクト
+        $objQuery = new SC_Query();		// DB操作オブジェクト
         $sql = 'delete from dtb_blocposition where page_id = 0';
-        $ret = $objDBConn->query($sql);
+        $ret = $objQuery->query($sql);
 
         if ($page_id_old != "") {
             // 登録データを取得
             $sql = "SELECT 0, target_id, bloc_id, bloc_row FROM dtb_blocposition WHERE page_id = ?";
-            $ret = $objDBConn->getAll($sql,array($page_id_old));
+            $ret = $objQuery->getAll($sql,array($page_id_old));
 
             if (count($ret) > 0) {
@@ -215,5 +215,5 @@
                 // 取得件数文INSERT実行
                 foreach($ret as $key => $val){
-                    $ret = $objDBConn->query($sql,$val);
+                    $ret = $objQuery->query($sql,$val);
                 }
             }
@@ -278,5 +278,5 @@
      */
     function lfEntryPageData($arrData){
-        $objDBConn = new SC_DbConn;		// DB操作オブジェクト
+        $objQuery = new SC_Query();		// DB操作オブジェクト
         $sql = "";						// データ更新SQL生成用
         $ret = ""; 						// データ更新結果格納用
@@ -331,5 +331,5 @@
 
         // SQL実行
-        $ret = $objDBConn->query($sql,$arrUpdData);
+        $ret = $objQuery->query($sql,$arrUpdData);
 
         return $ret;
Index: /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Bloc.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Bloc.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_Bloc.php	(revision 18770)
@@ -163,5 +163,5 @@
         	$this->preview = "off";
         	 // DBへデータを更新する
-            $objDBConn = new SC_DbConn;     // DB操作オブジェクト
+            $objQuery = new SC_Query();     // DB操作オブジェクト
             $sql = "";                      // データ更新SQL生成用
             $ret = "";                      // データ更新結果格納用
@@ -176,10 +176,10 @@
                 $sql = " DELETE FROM dtb_bloc WHERE bloc_id = ?";
                 // SQL実行
-                $ret = $objDBConn->query($sql,array($_POST['bloc_id']));
+                $ret = $objQuery->query($sql,array($_POST['bloc_id']));
 
                 // ページに配置されているデータも削除する
                 $sql = "DELETE FROM dtb_blocposition WHERE bloc_id = ?";
                 // SQL実行
-                $ret = $objDBConn->query($sql,array($_POST['bloc_id']));
+                $ret = $objQuery->query($sql,array($_POST['bloc_id']));
 
                 // ファイルの削除
@@ -221,5 +221,5 @@
      */
     function lfgetBlocData($where = '', $arrVal = ''){
-        $objDBConn = new SC_DbConn;		// DB操作オブジェクト
+        $objQuery = new SC_Query();		// DB操作オブジェクト
         $sql = "";						// データ取得SQL生成用
         $arrRet = array();				// データ取得用
@@ -245,5 +245,5 @@
         $sql .= " ORDER BY 	bloc_id";
 
-        $arrRet = $objDBConn->getAll($sql, $arrVal);
+        $arrRet = $objQuery->getAll($sql, $arrVal);
 
         return $arrRet;
@@ -257,5 +257,5 @@
      */
     function lfEntryBlocData($arrData){
-        $objDBConn = new SC_DbConn;		// DB操作オブジェクト
+        $objQuery = new SC_Query();		// DB操作オブジェクト
         $sql = "";						// データ更新SQL生成用
         $ret = ""; 						// データ更新結果格納用
@@ -300,5 +300,5 @@
 
         // SQL実行
-        $ret = $objDBConn->query($sql,$arrUpdData);
+        $ret = $objQuery->query($sql,$arrUpdData);
 
         return $ret;
Index: /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design.php	(revision 18770)
@@ -156,5 +156,5 @@
 
             // データの更新を行う
-            $objDBConn = new SC_DbConn;     // DB操作オブジェクト
+            $objQuery = new SC_Query();     // DB操作オブジェクト
             $arrRet = array();              // データ取得用
 
@@ -162,5 +162,5 @@
             $del_sql = "";
             $del_sql .= "DELETE FROM dtb_blocposition WHERE page_id = ? ";
-            $arrRet = $objDBConn->query($del_sql,array($page_id));
+            $arrRet = $objQuery->query($del_sql,array($page_id));
 
             // ブロックの順序を取得し、更新を行う
@@ -195,9 +195,8 @@
                     $arrUpdBlocData[$key]['anywhere'] ? 1 : 0
                 );
-                $count = $objDBConn->getOne("SELECT COUNT(*) FROM dtb_blocposition WHERE anywhere = 1 AND bloc_id = ?",array($arrUpdBlocData[$key]['id']));
+                $count = $objQuery->getOne("SELECT COUNT(*) FROM dtb_blocposition WHERE anywhere = 1 AND bloc_id = ?",array($arrUpdBlocData[$key]['id']));
 
                 if($arrUpdBlocData[$key]['anywhere'] == 1){
-                    $count = $objDBConn->getOne("SELECT COUNT(*) FROM dtb_blocposition WHERE anywhere = 1 AND bloc_id = ?",array($arrUpdBlocData[$key]['id']));
-                    $objDBConn->getLastQuery();
+                    $count = $objQuery->getOne("SELECT COUNT(*) FROM dtb_blocposition WHERE anywhere = 1 AND bloc_id = ?",array($arrUpdBlocData[$key]['id']));
                     if($count != 0){
                         continue;
@@ -206,9 +205,9 @@
                 }else{
                     if($count > 0){
-                        $objDBConn->query("DELETE FROM dtb_blocposition WHERE anywhere = 1 AND bloc_id = ?",array($arrUpdBlocData[$key]['id']));
+                        $objQuery->query("DELETE FROM dtb_blocposition WHERE anywhere = 1 AND bloc_id = ?",array($arrUpdBlocData[$key]['id']));
                     }
                 }
                 // SQL実行
-                $arrRet = $objDBConn->query($ins_sql,$arrInsData);
+                $arrRet = $objQuery->query($ins_sql,$arrInsData);
             }
 
@@ -306,5 +305,5 @@
      */
     function lfgetLayoutData($sel = '' , $from = '', $where = '', $arrVal = ''){
-        $objDBConn = new SC_DbConn;     // DB操作オブジェクト
+        $objQuery = new SC_Query();     // DB操作オブジェクト
         $sql = "";                      // データ取得SQL生成用
         $arrRet = array();              // データ取得用
@@ -342,5 +341,5 @@
         }
 
-        $arrRet = $objDBConn->getAll($sql, $arrVal);
+        $arrRet = $objQuery->getAll($sql, $arrVal);
 
         return $arrRet;
@@ -355,5 +354,5 @@
      */
     function lfgetBlocData($where = '', $arrVal = ''){
-        $objDBConn = new SC_DbConn;     // DB操作オブジェクト
+        $objQuery = new SC_Query();     // DB操作オブジェクト
         $sql = "";                      // データ取得SQL生成用
         $arrRet = array();              // データ取得用
@@ -377,5 +376,5 @@
         $sql .= " ORDER BY  bloc_id";
 
-        $arrRet = $objDBConn->getAll($sql, $arrVal);
+        $arrRet = $objQuery->getAll($sql, $arrVal);
 
         return $arrRet;
@@ -459,5 +458,5 @@
      */
     function lfSetPreData($arrPageData, &$objLayout){
-        $objDBConn = new SC_DbConn;     // DB操作オブジェクト
+        $objQuery = new SC_Query();     // DB操作オブジェクト
         $sql = "";                      // データ更新SQL生成用
         $ret = "";                      // データ更新結果格納用
@@ -498,5 +497,5 @@
         $sql = "select page_id,page_name, header_chk, footer_chk from dtb_pagelayout where page_id = ? OR page_id = (SELECT page_id FROM dtb_blocposition WHERE anywhere = 1)" ;
         
-        $ret = $objDBConn->getAll($sql, array($arrPageData[0]['page_id']));
+        $ret = $objQuery->getAll($sql, array($arrPageData[0]['page_id']));
 
         // dbデータのコピー
@@ -523,5 +522,5 @@
         );
 
-        $objDBConn->query($sql,$arrUpdData);
+        $objQuery->query($sql,$arrUpdData);
     }
 }
Index: /branches/version-2_5-dev/data/class/pages/entry/LC_Page_Entry.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/entry/LC_Page_Entry.php	(revision 18743)
+++ /branches/version-2_5-dev/data/class/pages/entry/LC_Page_Entry.php	(revision 18770)
@@ -162,5 +162,4 @@
         global $objCampaignSess;
 
-        $objConn = new SC_DbConn();
         $objView = new SC_SiteView();
         $objCustomer = new SC_Customer();
@@ -371,5 +370,4 @@
         $objMobile = new SC_Helper_Mobile_Ex();
         $CONF = $objDb->sf_getBasisData();					// 店舗基本情報
-        $objConn = new SC_DbConn();
         $objView = new SC_MobileView();
         $objCustomer = new SC_Customer();
@@ -661,5 +659,5 @@
     // 会員情報の登録
     function lfRegistData ($array, $arrRegistColumn, $arrRejectRegistColumn, $confirm_flg, $isMobile = false, $email_mobile = "") {
-        $objConn = new SC_DbConn();
+        $objQuery = new SC_Query();
 
         // 登録データの生成
@@ -684,5 +682,5 @@
             while ($count != 0) {
                 $uniqid = SC_Utils_Ex::sfGetUniqRandomId("t");
-                $count = $objConn->getOne("SELECT COUNT(*) FROM dtb_customer WHERE secret_key = ?", array($uniqid));
+                $count = $objQuery->count("dtb_customer", "secret_key = ?", array($uniqid));
             }
             switch($array["mailmaga_flg"]) {
@@ -704,5 +702,5 @@
             while ($count != 0) {
                 $uniqid = SC_Utils_Ex::sfGetUniqRandomId("r");
-                $count = $objConn->getOne("SELECT COUNT(*) FROM dtb_customer WHERE secret_key = ?", array($uniqid));
+                $count = $objQuery->count("dtb_customer", "secret_key = ?", array($uniqid));
             }
             $arrRegist["status"] = "2";				// 本会員
@@ -728,7 +726,6 @@
 
         //-- 仮登録実行
-        $objConn->query("BEGIN");
-
-        $objQuery = new SC_Query();
+        $objQuery->begin();
+
         $objQuery->insert("dtb_customer", $arrRegist);
 
@@ -760,5 +757,5 @@
         }
     */
-        $objConn->query("COMMIT");
+        $objQuery->commit();
 
         return $uniqid;
Index: /branches/version-2_5-dev/data/class/pages/LC_Page_Sitemap.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/LC_Page_Sitemap.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/LC_Page_Sitemap.php	(revision 18770)
@@ -273,5 +273,5 @@
      */
     function getPageData($where = '', $arrVal = ''){
-        $objDBConn = new SC_DbConn;     // DB操作オブジェクト
+        $objQuery = new SC_Query();     // DB操作オブジェクト
         $sql = "";                      // データ取得SQL生成用
         $arrRet = array();              // データ取得用
@@ -303,5 +303,5 @@
         $sql .= " ORDER BY page_id";
 
-        $pageData = $objDBConn->getAll($sql, $arrVal);
+        $pageData = $objQuery->getAll($sql, $arrVal);
         
         // URL にプロトコルの記載が無い場合、SITE_URL を前置する。
Index: /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_Detail.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_Detail.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/products/LC_Page_Products_Detail.php	(revision 18770)
@@ -750,6 +750,5 @@
     function lfRegistFavoriteProduct($customer_id, $product_id) {
         $objQuery = new SC_Query();
-        $objConn = new SC_DbConn();
-        $count = $objConn->getOne("SELECT COUNT(*) FROM dtb_customer_favorite_products WHERE customer_id = ? AND product_id = ?", array($customer_id, $product_id));
+        $count = $objQuery->count("dtb_customer_favorite_products", "customer_id = ? AND product_id = ?", array($customer_id, $product_id));
 
         if ($count == 0) {