Index: /branches/version-2_5-dev/html/install/sql/create_table_mysql.sql
===================================================================
--- /branches/version-2_5-dev/html/install/sql/create_table_mysql.sql	(revision 18775)
+++ /branches/version-2_5-dev/html/install/sql/create_table_mysql.sql	(revision 18776)
@@ -147,5 +147,7 @@
     good_traded text,
     message text,
-    regular_holiday_ids text
+    regular_holiday_ids text,
+    latitude text,
+    longitude text
 ) TYPE=InnoDB;
 
Index: /branches/version-2_5-dev/html/install/sql/create_table_pgsql.sql
===================================================================
--- /branches/version-2_5-dev/html/install/sql/create_table_pgsql.sql	(revision 18764)
+++ /branches/version-2_5-dev/html/install/sql/create_table_pgsql.sql	(revision 18776)
@@ -147,5 +147,7 @@
     good_traded text,
     message text,
-    regular_holiday_ids text
+    regular_holiday_ids text,
+    latitude text,
+    longitude text
 );
 
Index: /branches/version-2_5-dev/data/Smarty/templates/default/site_frame.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/default/site_frame.tpl	(revision 18700)
+++ /branches/version-2_5-dev/data/Smarty/templates/default/site_frame.tpl	(revision 18776)
@@ -28,4 +28,9 @@
 <link rel="stylesheet" href="<!--{$TPL_DIR}-->css/import.css" type="text/css" media="all" />
 <link rel="alternate" type="application/rss+xml" title="RSS" href="<!--{$smarty.const.SITE_URL}-->rss/<!--{$smarty.const.DIR_INDEX_URL}-->" />
+<script type="text/javascript" src="http://www.google.com/jsapi?key=xxx"></script>
+<script type="text/javascript">//<![CDATA[
+    google.load("maps", "3", {other_params:'sensor=false'});
+//]]>
+</script>
 <script type="text/javascript" src="<!--{$TPL_DIR}-->js/css.js"></script>
 <script type="text/javascript" src="<!--{$TPL_DIR}-->js/navi.js"></script>
Index: /branches/version-2_5-dev/data/Smarty/templates/default/admin/main_frame.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/default/admin/main_frame.tpl	(revision 18700)
+++ /branches/version-2_5-dev/data/Smarty/templates/default/admin/main_frame.tpl	(revision 18776)
@@ -30,4 +30,9 @@
 <link rel="stylesheet" href="<!--{$TPL_DIR}-->css/admin_contents.css" type="text/css" media="all" />
 <link rel="stylesheet" href="<!--{$TPL_DIR}-->css/admin_file_manager.css" type="text/css" media="all" />
+<script type="text/javascript" src="http://www.google.com/jsapi?key=xxx"></script>
+<script type="text/javascript">//<![CDATA[
+    google.load("maps", "3", {other_params:'sensor=false'});
+//]]>
+</script>
 <script type="text/javascript" src="<!--{$TPL_DIR}-->js/navi.js"></script>
 <script type="text/javascript" src="<!--{$TPL_DIR}-->js/win_op.js"></script>
Index: /branches/version-2_5-dev/data/Smarty/templates/default/admin/basis/index.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/default/admin/basis/index.tpl	(revision 18764)
+++ /branches/version-2_5-dev/data/Smarty/templates/default/admin/basis/index.tpl	(revision 18776)
@@ -22,4 +22,70 @@
  */
 *}-->
+<script type="text/javascript" src="<!--{$TPL_DIR}-->jquery.fancybox/jquery.mousewheel-3.0.2.pack.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->jquery.fancybox/jquery.fancybox-1.3.1.pack.js"></script>
+<link rel="stylesheet" href="<!--{$TPL_DIR}-->jquery.fancybox/jquery.fancybox-1.3.1.css" type="text/css" media="screen" />
+<script type="text/javascript">//<![CDATA[
+$(function() {
+    var geocoder = new google.maps.Geocoder();
+
+    $("#codeAddress").click(function() {
+        var result = true;
+        var address = $("#addr01").val() + $("#addr02").val();
+        if (geocoder && address) {
+            geocoder.geocode({'address': address}, function (results, status) {
+                if (status == google.maps.GeocoderStatus.OK) {
+                    latlng = results[0].geometry.location;
+                    $("#latitude").val(latlng.lat());
+                    $("#longitude").val(latlng.lng());
+                 } else {
+                     alert('住所の場所が見つかりません');
+                 }
+            });
+        } else {
+            alert('住所の場所が見つかりません');
+        }
+    });
+
+    $("a#mapAddress").fancybox({onStart: function() {
+        var lat = $("#latitude").val();
+        var lng = $("#longitude").val();
+
+        var latlng;
+        if (lat && lng) {
+            latlng = new google.maps.LatLng(lat, lng);
+        } else {
+            var address = $("#addr01").val() + $("#addr02").val();
+            if (geocoder) {
+                geocoder.geocode({'address': address}, function(results, status) {
+                    if (status == google.maps.GeocoderStatus.OK) {
+                        latlng = results[0].geometry.location;
+                     }
+                });
+            }
+        }
+
+        if (!latlng) {
+            // 座標が取得できない場合は北緯35度東経135度から取得
+            latlng = new google.maps.LatLng(35, 135);
+        }
+
+        var mapOptions = {zoom: 15,
+                          center: latlng,
+                          mapTypeId: google.maps.MapTypeId.ROADMAP};
+        var map = new google.maps.Map($("#maps").get(0), mapOptions);
+        var marker = new google.maps.Marker({map: map, position: latlng});
+        marker.setDraggable(true);
+
+        // TODO Maker のダブルクリックにも対応したい
+        $("#inputPoint").click(function() {
+            latlng = marker.getPosition();
+            $("#latitude").val(latlng.lat());
+            $("#longitude").val(latlng.lng());
+            $.fancybox.close();
+        });
+    }});
+});
+//]]>
+</script>
 <form name="form1" id="form1" method="post" action="?">
 <input type="hidden" name="mode" value="<!--{$tpl_mode}-->" />
@@ -90,10 +156,10 @@
         <p>
           <span class="attention"><!--{$arrErr.addr01}--></span>
-          <input type="text" name="addr01" value="<!--{$arrForm.addr01|escape}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->" size="60" class="box60" style="<!--{if $arrErr.addr01 != ""}-->background-color: <!--{$smarty.const.ERR_COLOR}-->;<!--{/if}-->" /><span class="attention"> （上限<!--{$smarty.const.STEXT_LEN}-->文字）</span><br />
+          <input type="text" name="addr01" value="<!--{$arrForm.addr01|escape}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->" size="60" class="box60" style="<!--{if $arrErr.addr01 != ""}-->background-color: <!--{$smarty.const.ERR_COLOR}-->;<!--{/if}-->" id="addr01" /><span class="attention"> （上限<!--{$smarty.const.STEXT_LEN}-->文字）</span><br />
           <!--{$smarty.const.SAMPLE_ADDRESS1}-->
         </p>
         <p>
           <span class="attention"><!--{$arrErr.addr02}--></span>
-          <input type="text" name="addr02" value="<!--{$arrForm.addr02|escape}-->"  maxlength="<!--{$smarty.const.STEXT_LEN}-->" size="60" class="box60" style="<!--{if $arrErr.addr02 != ""}-->background-color: <!--{$smarty.const.ERR_COLOR}-->;<!--{/if}-->" /><span class="attention"> （上限<!--{$smarty.const.STEXT_LEN}-->文字）</span><br />
+          <input type="text" name="addr02" value="<!--{$arrForm.addr02|escape}-->"  maxlength="<!--{$smarty.const.STEXT_LEN}-->" size="60" class="box60" style="<!--{if $arrErr.addr02 != ""}-->background-color: <!--{$smarty.const.ERR_COLOR}-->;<!--{/if}-->" id="addr02" /><span class="attention"> （上限<!--{$smarty.const.STEXT_LEN}-->文字）</span><br />
           <!--{$smarty.const.SAMPLE_ADDRESS2}-->
         </p>
@@ -214,8 +280,29 @@
   </table>
 
+  <h2>地図設定</h2>
+  <table id="basis-index-func">
+    <tr>
+      <th>緯度/経度情報</th>
+      <td>
+        <span class="attention"><!--{$arrErr.latitude}--></span>
+        <span class="attention"><!--{$arrErr.longitude}--></span>
+        緯度: <input type="text" name="latitude" value="<!--{$arrForm.latitude|escape}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->" size="30" class="box30" style="<!--{if $arrErr.latitude != ""}-->background-color: <!--{$smarty.const.ERR_COLOR}-->;<!--{/if}-->" id="latitude" />
+        経度: <input type="text" name="longitude" value="<!--{$arrForm.longitude|escape}-->" maxlength="<!--{$smarty.const.STEXT_LEN}-->" size="30" class="box30" style="<!--{if $arrErr.longitude != ""}-->background-color: <!--{$smarty.const.ERR_COLOR}-->;<!--{/if}-->" id="longitude" />
+        <input type="button" name="codeAddress" id="codeAddress" value="住所より自動取得" />
+        <a href="#maparea" id="mapAddress">地図で設定</a>
+      </td>
+    </tr>
+ </table>
+
   <div class="btn">
     <button type="submit"><span>この内容で登録する</span></button>
   </div>
 </div>
+<div style="display: none">
+  <div id="maparea">
+    <div id="maps" style="width: 300px; height: 300px"></div>
+    <input type="button" id="inputPoint" value="この位置を入力" />
+  </div>
+</div>
 <!--{* ▲登録テーブルここまで *}-->
 </form>
Index: /branches/version-2_5-dev/data/Smarty/templates/default/abouts/index.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/default/abouts/index.tpl	(revision 18700)
+++ /branches/version-2_5-dev/data/Smarty/templates/default/abouts/index.tpl	(revision 18776)
@@ -23,4 +23,29 @@
 *}-->
 <!--▼CONTENTS-->
+<!--{assign var=_site value=$arrSiteInfo}-->
+<script type="text/javascript">//<![CDATA[
+$(function() {
+    $("#maps").css({
+        'margin-top': '15px',
+        'margin-left': 'auto',
+        'margin-right': 'auto',
+        'width': '98%',
+        'height': '300px'
+    });
+    var lat = <!--{$_site.latitude}-->
+    var lng = <!--{$_site.longitude}-->
+    if (lat && lng) {
+        var latlng = new google.maps.LatLng(lat, lng);
+        var mapOptions = {zoom: 15,
+                          center: latlng,
+                          mapTypeId: google.maps.MapTypeId.ROADMAP};
+        var map = new google.maps.Map($("#maps").get(0), mapOptions);
+        var marker = new google.maps.Marker({map: map, position: latlng});
+    } else {
+        $("#maps").remove();
+    }
+});
+//]]>
+</script>
 <div id="undercolumn">
 
@@ -29,6 +54,4 @@
 
     <table summary="当サイトについて">
-
-    <!--{assign var=_site value=$arrSiteInfo}-->
 
       <!--{if strlen($_site.shop_name)}-->
@@ -97,4 +120,5 @@
     </table>
 
+    <div id="maps"></div>
   </div>
 </div>
Index: /branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis.php	(revision 18772)
+++ /branches/version-2_5-dev/data/class/pages/admin/basis/LC_Page_Admin_Basis.php	(revision 18776)
@@ -164,6 +164,7 @@
             "good_traded",
             "message",
-            "regular_holiday_ids"
-
+            "regular_holiday_ids",
+            "latitude",
+            "longitude"
         );
         return $arrCol;
@@ -271,4 +272,6 @@
         $objErr->doFunc(array("メッセージ", "message", LLTEXT_LEN), array("MAX_LENGTH_CHECK"));
 
+        $objErr->doFunc(array("緯度", "latitude", STEXT_LEN), array("NUM_POINT_CHECK", "MAX_LENGTH_CHECK"));
+        $objErr->doFunc(array("経度", "longitude", STEXT_LEN), array("NUM_POINT_CHECK", "MAX_LENGTH_CHECK"));
         return $objErr->arrErr;
     }